Subject: Re: [PATCH] graph API: fix extra space during pre_commit_line state

From: Allan Caffee <[email-masked]>
Date: Wed, 22 Apr 2009 15:38:38 -0400

On Wed, 22 Apr 2009, Teemu Likonen wrote:

> On 2009-04-21 14:34 (-0400), Allan Caffee wrote:
> 
> > An extra space is being inserted between the "commit" column and all of
> > the successive edges.  Remove this space.  This regression was
> > introduced by 427fc5b.
> >
> > Signed-off-by: Allan Caffee <[email-masked]>
> 
> Looks like it's working now, thanks. Let's Cc to Junio so that he
> doesn't miss the fix.

Actually, Junio, please disregard this patch for the moment.  I'll
resend it in a series along with another minor fix related to octopus
merges.

> > This issue exposes a gap in the existing test coverage, which doesn't
> > exercise the pre_commit_line code.  Maybe another patch is in order to
> > extend t4202-log to cover pre-commit lines and octopus merges.
> 
> I think that's a good idea. I like "log --graph" very much and when
> someone alters that part of the code I run my own visual "test suites"
> to notice if my pet feature has been broken. :-) Automatic tests would
> be helpful.

I'll include a test patch in that series as well.